{
    num: 578,
    accuracy: true,
    basePower: 0,
    category: "Status",
    isNonstandard: "Past",
    name: "Crafty Shield",
    pp: 10,
    priority: 3,
    flags: {},
    sideCondition: 'craftyshield',
    onTry() {
        return !!this.queue.willAct();
    },
    condition: {
        duration: 1,
        onSideStart(target, source) {
            this.add('-singleturn', source, 'Crafty Shield');
        },
        onTryHitPriority: 3,
        onTryHit(target, source, move) {
            if (['self', 'all'].includes(move.target) || move.category !== 'Status') return;
            this.add('-activate', target, 'move: Crafty Shield');

            this.boost({def: 1, spd: 1}, target);

            return this.NOT_FAIL;
        },
    },
    secondary: null,
    target: "allySide",
    type: "Fairy",
    zMove: {boost: {spd: 1}},
    contestType: "Clever",
}
